{
  lib,
  fetchFromGitea,
  rustPlatform,
  libX11,
  pkg-config,
}:

rustPlatform.buildRustPackage rec {
  pname = "culr";
  version = "0.1.0";

  src = fetchFromGitea {
    domain = "git.atagen.co";
    owner = "atagen";
    repo = pname;
    rev = "8cb1323bdc388ce1fdb0675ade756ea8b59b803d";
    sha256 = "sha256-Blo1PyhzKU4LzflmeGrvWOQEon2BCTkF3uQR+7D5/kc=";
  };

  nativeBuildInputs = [ pkg-config ];
  buildInputs = [ libX11 ];

  cargoSha256 = "sha256-d8MshgH3EppKR80fULU5kraJzrkG57KApzcJM2muvIE=";

  meta = with lib; {
    description = "colourise piped input";
    homepage = "https://git.atagen.co/atagen/culr";
    license = licenses.mit;
    maintainers = [ ];
  };

}
